Bug 29273

Summary: Build fix for ARM_THUMB2 on Linux
Product: WebKit Reporter: Gabor Loki <loki>
Component: JavaScriptCoreAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Blocker CC: barraclough, eric, laszlo.gombos
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Bug Depends on: 29122    
Bug Blocks:    
Attachments:
Description Flags
Build fix to enable ARM_THUMB2 on Linux
eric: review-
Build fix to enable ARM_THUMB2 on Linux (v2) barraclough: review+

Description Gabor Loki 2009-09-15 09:05:35 PDT
There are some build errors with ARM_THUMB2 JIT on Linux platforms.
Comment 1 Gabor Loki 2009-09-15 09:07:04 PDT
Created attachment 39604 [details]
Build fix to enable ARM_THUMB2 on Linux

This patch fixes the ARM_THUMB2 JIT on Linux
Comment 2 Eric Seidel (no email) 2009-09-15 18:06:59 PDT
Wasn't there a separate bug about this exact issue already?
Comment 3 Gavin Barraclough 2009-09-16 12:11:30 PDT
Comment on attachment 39604 [details]
Build fix to enable ARM_THUMB2 on Linux

All looks good to me.
Comment 4 Eric Seidel (no email) 2009-09-16 14:45:01 PDT
Comment on attachment 39604 [details]
Build fix to enable ARM_THUMB2 on Linux

I think this ChangeLog might confuse svn-apply.  Please post a new diff.
Comment 5 Gabor Loki 2009-09-16 21:17:41 PDT
> I think this ChangeLog might confuse svn-apply.

Well, this bug depends on bug 29122. So the ChangeLog difference is the less important thing which could break the svn-apply. I also said that to Gavin after Comment #2. Anyway I am going post a new patch where the ChangeLog will look good.
Comment 6 Gabor Loki 2009-09-16 21:59:57 PDT
Created attachment 39680 [details]
 Build fix to enable ARM_THUMB2 on Linux (v2)

ChangeLog has been updated. The patch still depends on bug 29122.
Comment 7 Gavin Barraclough 2009-09-18 13:37:38 PDT
Sending        JavaScriptCore/ChangeLog
Sending        JavaScriptCore/jit/ExecutableAllocator.h
Sending        JavaScriptCore/jit/JITStubs.cpp
Sending        JavaScriptCore/wtf/Platform.h
Transmitting file data ....
Committed revision 48527.

Hey Loki, I've landed the build fixes, but I've reverted a couple of the changes to Platform.h (rs=ggaren) – I don't think this can be enabled by default right now, since the THUMB2 JIT is still not yet complete.

cheers,
G.
Comment 8 Eric Seidel (no email) 2009-09-22 14:29:58 PDT
Comment on attachment 39680 [details]
 Build fix to enable ARM_THUMB2 on Linux (v2)

I don't know what the status of this bug is, but since it's closed it should not have a r? patch on it.
Comment 9 Gavin Barraclough 2009-09-22 14:38:36 PDT
Gah, sorry about that eric, 

Should have r+'ed this, and should have closed it.

Fixed in:
http://trac.webkit.org/changeset/48527

Sorry, my bad!
Comment 10 Eric Seidel (no email) 2009-09-22 14:47:47 PDT
No problem at all. :)  Just cleaning out the review queue.